Bug 2067301 - hammer content-import fails with error Export version 3.14.9 of pulpcore does not match installed version 3.14.12 if the z-stream versions are different for the connected and disconnected satellite 6.10
Summary: hammer content-import fails with error Export version 3.14.9 of pulpcore does...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.11.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
: 2064945 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-23 18:23 UTC by Manu Sunil
Modified: 2022-08-09 03:19 UTC (History)
10 users (show)

Fixed In Version: python-pulpcore-3.16.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2080343 (view as bug list)
Environment:
Last Closed: 2022-07-05 14:34:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34517 0 Normal New Better error handling when pulpcore version does not match for content export and import 2022-03-31 21:00:39 UTC
Github pulp pulpcore issues 2269 0 None closed Version Matching for Import/Export too stringent 2022-04-26 18:23:45 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:35:03 UTC

Description Manu Sunil 2022-03-23 18:23:35 UTC
Description of problem:

- Importing a pulp content archive on Satellite 6.10.3 fails with the following error if the pulpcore and pulp_rpm plugin version mismatches on the connected Satellite and disconnected Satellite. This is mostly an issue where the connected satellite has a different z-stream installed i.e. 6.10.2 and the disconnected satellite has 6.10.3 or vice-versa

  ~~~
  [ErrorDetail(string='Export version 3.14.9 of pulpcore does not match installed version 3.14.12.', code='invalid')] (Katello::Errors::Pulp3Error)
  ~~~

Version-Release number of selected component (if applicable):

- Satellite 6.10

How reproducible:

- Always

Steps to Reproduce:

1. Export a pulp content archive on the connected Satellite 6.10.2 which has an older version of pulpcore than the importing Satellite.

2. Copy the archive to the importing Satellite which is of 6.10.3 .

3. Initiate an import.

Actual results:

- Import would fail with the following error.

  ~~~
  Export version 3.14.9 of pulpcore does not match installed version 3.14.12.
  ~~~

Expected results:

- Import should consider older versions of export.

Additional info:

- https://github.com/pulp/pulpcore/issues/2269

Comment 1 Sayan Das 2022-03-23 18:31:37 UTC
CC'ing Partha as he had highlighted the upstream issue https://github.com/pulp/pulpcore/issues/2269

Comment 5 Ashish Humbe 2022-04-25 05:29:00 UTC
*** Bug 2064945 has been marked as a duplicate of this bug. ***

Comment 11 Lai 2022-04-28 16:55:22 UTC
Steps to retest:

1. Spin up a satellite to export that has pulp version less than python-pulpcore-3.16.7-1 (mine was python-pulpcore-3.16.6-1)
2. Import a manifest
3. Set download policy to "immediate"
4. Sync a rhel repo
5. Create a cv, add repo from step 4, and publish cv
6. Run export
7. Spin up a satellite for disconnected mode that has python-pulpcore-3.16.7-1 or greater
8. Import manifest
9. Update cdn to use air-gapped
10. Set download policy to "Immediate"
11. scp export to disconnected satellite
12. run import on disconnected satellite

Expected:
Import should run successfully

Actual:
Import is successful

I checked the cv on the disconnected and it's able to import the cv successfully

Verified on 6.11 snap 18 with python-pulpcore-3.16.7-1 and tested on both rhel7 and rhel8

Comment 15 errata-xmlrpc 2022-07-05 14:34:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.